VERSION 5.00
Object = "{55082E0F-BAFB-42B1-A246-527BEBDF8B1B}#1.3#0"; "auComCtl.ocx"
Begin VB.Form frmNewDB 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "New Movie Database"
   ClientHeight    =   1815
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2895
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1815
   ScaleWidth      =   2895
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   6
      ToolTipText     =   "Create a new movie database"
      Top             =   1320
      Width           =   1095
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   1680
      TabIndex        =   7
      ToolTipText     =   "Do not create a new movie database"
      Top             =   1320
      Width           =   1095
   End
   Begin auComCtl.NumberBox nbMax 
      Height          =   285
      Left            =   960
      TabIndex        =   5
      Top             =   840
      Width           =   1815
      _ExtentX        =   3201
      _ExtentY        =   503
      FormatString    =   "#,###"
      Appearance      =   0
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Alignment       =   1
   End
   Begin VB.TextBox txtTitle 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   960
      TabIndex        =   3
      Top             =   480
      Width           =   1815
   End
   Begin VB.TextBox txtFileName 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   960
      TabIndex        =   1
      Top             =   120
      Width           =   1815
   End
   Begin VB.Label lblMax 
      Caption         =   "CD &Size:"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      ToolTipText     =   "The maximum file size that will fit on a CD (used for compress and burn reports)"
      Top             =   840
      Width           =   855
   End
   Begin VB.Label lblTitle 
      Caption         =   "&Title:"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      ToolTipText     =   "The title to use for HTML"
      Top             =   480
      Width           =   855
   End
   Begin VB.Label lblFileName 
      Caption         =   "&File Name:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      ToolTipText     =   "The filename to save this database under (do not include path)"
      Top             =   120
      Width           =   855
   End
End
Attribute VB_Name = "frmNewDB"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancel_Click()
  txtFileName.Text = ""
  Hide
End Sub

Private Sub cmdOK_Click()
  If Len(txtFileName.Text) = 0 Then
    MsgBox "Please specifiy a file name.", vbExclamation, "New Movie Database"
    txtFileName.SetFocus
  Else
    createDB
    Hide
  End If
End Sub

Private Sub txtFileName_Validate(Cancel As Boolean)
  Dim fso As FileSystemObject
  Set fso = New FileSystemObject
  If LCase$(Right$(txtFileName.Text, 4)) <> ".mim" Then txtFileName.Text = txtFileName.Text & ".mim"
  If fso.FileExists(App.Path & "\" & txtFileName.Text) Then MsgBox "Warning!  This file already exists!" & vbCrLf & "If you continue, it will be overwritten.", vbCritical, "New Movie Database"
End Sub

Private Sub createDB()
  Dim fso As FileSystemObject, moviedb As TextStream
  Set fso = New FileSystemObject
  Set moviedb = fso.CreateTextFile(App.Path & "\" & txtFileName.Text)
  Set fso = Nothing
  With moviedb
    .WriteLine txtTitle.Text
    .WriteLine nbMax.Value
    .Close
  End With
  Set moviedb = Nothing
End Sub
