VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form frmOnlineRpt 
   Caption         =   "Online Movies"
   ClientHeight    =   2775
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5550
   Icon            =   "onlineRpt.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2775
   ScaleWidth      =   5550
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "&Close"
      Height          =   375
      Left            =   4320
      TabIndex        =   2
      Top             =   2280
      Width           =   1095
   End
   Begin VB.CommandButton cmdRemove 
      Caption         =   "&Remove"
      Default         =   -1  'True
      Height          =   375
      Left            =   3120
      TabIndex        =   1
      ToolTipText     =   "Save the new values"
      Top             =   2280
      Width           =   1095
   End
   Begin MSFlexGridLib.MSFlexGrid grdList 
      Height          =   1935
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   5295
      _ExtentX        =   9340
      _ExtentY        =   3413
      _Version        =   393216
      Rows            =   1
      Cols            =   7
      FixedCols       =   0
      BackColorBkg    =   -2147483633
      ScrollTrack     =   -1  'True
      FocusRect       =   0
      GridLines       =   0
      SelectionMode   =   1
      AllowUserResizing=   1
      Appearance      =   0
   End
End
Attribute VB_Name = "frmOnlineRpt"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private resizing As Boolean

Private mlib As MovieLib

Private Property Get MinWidth() As Long
  MinWidth = 2 * cmdRemove.Width + 3 * GAP
End Property

Private Property Get MinHeight() As Long
  MinHeight = 3 * cmdRemove.Height + 3 * GAP
End Property

Public Function SetLib(ByRef l As MovieLib) As Boolean
  Dim mv As Movie, r As Long
  grdList.Rows = 1
  Set mlib = l
  If mlib.Movie Is Nothing Then Exit Function
  Set mv = mlib.FirstMovie
  While Not mv Is Nothing
    If mv.HD Then
      With grdList
        r = .Rows
        .AddItem mv.Title
        .TextMatrix(r, 1) = Format$(mv.Year, "#")
        If mv.Time > 0 Then .TextMatrix(r, 2) = Format$(mv.Time, "0:00:00")
        If mv.CD Then
          .TextMatrix(r, 3) = "Y"
        Else
          .TextMatrix(r, 3) = "N"
        End If
        .TextMatrix(r, 4) = Format$(mv.Discs, "#")
        .TextMatrix(r, 5) = Format$(mv.Size, "#,##0")
        .TextMatrix(r, 6) = mv.Index
      End With
    End If
    Set mv = mlib.NextMovie
  Wend
  Set mv = Nothing
  If grdList.Rows < 2 Then Exit Function
  SetLib = True
  With grdList
    .Row = 1
    .RowSel = .Row
    .Col = 0
    .ColSel = .Cols - 2
  End With
End Function

Private Sub cmdClose_Click()
  Unload Me
End Sub

Private Sub cmdRemove_Click()
  Dim mv As Movie
  Set mv = mlib.Find(grdList.TextMatrix(grdList.Row, 6))
  With mv
    .SetUp .Title, .Discs, .Size, .Time, .Width, .Height, .Year, .CD, False, .IMDB, .VideoCodec, .VBR, .AudioCodec, .ABR, .Index
  End With
  dirty = True
  With frmMain.pnlTable
    .HighlightCurrent
    .DeleteCurrent
    .AddNew
  End With
  If grdList.Rows > 2 Then
    With grdList
      .RemoveItem .Row
      If .Row >= .Rows Then .Row = .Rows - 1
      .RowSel = .Row
      .Col = 0
      .ColSel = .Cols - 2
    End With
  Else
    MsgBox "There are no movies left online." & vbCrLf & "The report will now close.", vbInformation, "Online Movies"
    Set mv = Nothing
    Unload Me
  End If
  Set mv = Nothing
End Sub

Private Sub Form_Load()
  With grdList
    .TextMatrix(0, 0) = "Title"
    .TextMatrix(0, 1) = "Year"
    .TextMatrix(0, 2) = "Time"
    .TextMatrix(0, 3) = "CD"
    .TextMatrix(0, 4) = "#"
    .TextMatrix(0, 5) = "Size"
    .TextMatrix(0, 6) = "Index"
    .ColWidth(0) = GetSetting(LoadResString(PROGNAME), "OnlineReport", "colTitle", 3000)
    .ColWidth(1) = GetSetting(LoadResString(PROGNAME), "OnlineReport", "colYear", 450)
    .ColWidth(2) = GetSetting(LoadResString(PROGNAME), "OnlineReport", "colTime", 690)
    .ColWidth(3) = GetSetting(LoadResString(PROGNAME), "OnlineReport", "colCD", 330)
    .ColWidth(4) = GetSetting(LoadResString(PROGNAME), "OnlineReport", "colDiscs", 225)
    .ColWidth(5) = GetSetting(LoadResString(PROGNAME), "OnlineReport", "colSize", 1140)
    .ColWidth(6) = 0
  End With
  resizing = True
    Width = GetSetting(LoadResString(PROGNAME), "OnlineReport", "Width", Width)
    Height = GetSetting(LoadResString(PROGNAME), "OnlineReport", "Height", Height)
  resizing = False
  Form_Resize
End Sub

Private Sub Form_Resize()
  If resizing Then Exit Sub
  resizing = True
    If ScaleWidth < MinWidth Then Width = Width - ScaleWidth + MinWidth
    If ScaleHeight < MinHeight Then Height = Height - ScaleHeight + MinHeight
  resizing = False
  grdList.Move GAP, GAP, ScaleWidth - 2 * GAP, ScaleHeight - 3 * GAP - cmdRemove.Height
  cmdClose.Move ScaleWidth - GAP - cmdClose.Width, grdList.Top + grdList.Height + GAP
  cmdRemove.Move cmdClose.Left - GAP - cmdRemove.Width, cmdClose.Top
End Sub

Private Sub Form_Unload(Cancel As Integer)
  With grdList
    SaveSetting LoadResString(PROGNAME), "OnlineReport", "colTitle", .ColWidth(0)
    SaveSetting LoadResString(PROGNAME), "OnlineReport", "colYear", .ColWidth(1)
    SaveSetting LoadResString(PROGNAME), "OnlineReport", "colTime", .ColWidth(2)
    SaveSetting LoadResString(PROGNAME), "OnlineReport", "colCD", .ColWidth(3)
    SaveSetting LoadResString(PROGNAME), "OnlineReport", "colDiscs", .ColWidth(4)
    SaveSetting LoadResString(PROGNAME), "OnlineReport", "colSize", .ColWidth(5)
  End With
  SaveSetting LoadResString(PROGNAME), "OnlineReport", "Width", Width
  SaveSetting LoadResString(PROGNAME), "OnlineReport", "Height", Height
  frmMain.pnlTable.HighlightCurrent
  frmMain.pnlSingle.getFields
  If frmMain.mnuViewSingle.Checked Then frmMain.tbMain.Buttons("ViewSingle").Value = tbrPressed
End Sub

Private Sub grdList_GotFocus()
  With grdList
    .BackColorSel = &H8000000D
    .ForeColorSel = &H8000000E
  End With
End Sub

Private Sub grdList_LostFocus()
  With grdList
    .BackColorSel = &H80000010
    .ForeColorSel = &H80000014
  End With
End Sub
